gnutls_ocsp_status_request_is_checked(3)

NAME
gnutls_ocsp_status_request_is_checked - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_ocsp_status_request_is_checked(gnutls_session_t session, unsigned int flags);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

unsigned int flags
    should be zero

DESCRIPTION
Check whether an OCSP status response was included in the handshake and whether it was checked and valid (not too old or superseded). This is a helper function when needing to decide whether to perform an OCSP validity check on the peer's certificate. Must be called after gnutls_certificate_verify_peers3() is called.

RETURNS
non zero it was valid, or a zero if it wasn't sent, or sent and was invalid.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/